Opened 2 years ago

Closed 2 years ago

#56162 closed defect (duplicate)

lilypond upgrade/new install broken, configure failed

Reported by: trg818 (Thomas Ruedas) Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.4.2
Keywords: Cc:
Port: lilypond

Description

In the course of upgrading outdated packages, Lilypond was supposed to be upgraded as well, but the upgrade failed at the stage of trying to configure lilypond. port clean and reattempting didn't help, and neither did an explicit uninstallation and new installation of Lilypond.

Attachments (2)

main.log (365.3 KB) - added by trg818 (Thomas Ruedas) 2 years ago.
main.log from the entire macports update
config.log (97.3 KB) - added by trg818 (Thomas Ruedas) 2 years ago.
config.log from the lilypond installation attempt

Download all attachments as: .zip

Change History (6)

Changed 2 years ago by trg818 (Thomas Ruedas)

Attachment: main.log added

main.log from the entire macports update

Changed 2 years ago by trg818 (Thomas Ruedas)

Attachment: config.log added

config.log from the lilypond installation attempt

comment:1 Changed 2 years ago by Schamschula (Marius Schamschula)

It looks like somehow you are missing the gs binary, which is provided by ghostscript. Did you have an issue upgrading to ghostscript 9.23?

comment:2 Changed 2 years ago by ryandesign (Ryan Schmidt)

Almost certainly a duplicate of #56137.

comment:3 in reply to:  1 Changed 2 years ago by trg818 (Thomas Ruedas)

Replying to Schamschula:

It looks like somehow you are missing the gs binary, which is provided by ghostscript. Did you have an issue upgrading to ghostscript 9.23?

The screen output of the upgrade attempt suggests that the upgrade from ghostscript 9.22 to 9.23 (9.23_1+x11, to be precise) had no problems. Strangely, when I invoke gs on the command line, I get the following:

> gs --version
dyld: Library not loaded: /opt/local/lib/libgs.9.22.dylib
  Referenced from: /opt/local/bin/gs
  Reason: image not found
Abort trap: 6

By the way, my system is running on High Sierra (10.13.3).

comment:4 Changed 2 years ago by Schamschula (Marius Schamschula)

Resolution: duplicate
Status: newclosed

See Ryan's comment above: duplicate of #56137

Note: See TracTickets for help on using tickets.